package com.ningdatech.pmapi.common.model.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 待办中心待我处理项目列表导出实体
 *
 * @author CMM
 * @since 2023/01/19 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor

public class ExcelExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    //@ExcelProperty("项目名称")
    //private String projectName;
    //
    //@ExcelProperty("申报单位")
    //private String buildUnitName;
    //
    //@ExcelProperty("申报金额")
    //private Integer declareAmount;
    //
    //@ExcelProperty("预算年度")
    //private Integer projectYear;
    //
    //@ExcelProperty("流程状态")
    //private String processStatusName;
    //
    //@ExcelProperty("发起时间")
    //@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    //private LocalDateTime processLaunchTime;

    @ExcelProperty("项目ID")
    private Long id;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("行政区划编码")
    private String areaCode;

    @ExcelProperty("行政区划名称")
    private String area;

    @ExcelProperty("项目负责人")
    private String responsibleMan;

    @ExcelProperty("项目负责人手机号")
    private String responsibleManMobile;

    @ExcelProperty("项目联系人")
    private String contactName;

    @ExcelProperty("项目联系人手机号")
    private String contactPhone;

    @ExcelProperty("上级业务主管单位")
    private String higherSuperUnit;

    @ExcelProperty("上级主管单位浙政钉ID")
    private Boolean higherSuperUnitCode;

    @ExcelProperty("本级主管部门")
    private Boolean superUnit;

    @ExcelProperty("本级主管部门浙政钉ID")
    private Boolean superUnitCode;

    @ExcelProperty("建设单位名称")
    private Boolean constructionUnitName;

    @ExcelProperty("建设单位浙政钉ID")
    private Boolean buildUnitZheJiangGovernmentDingId;

    @ExcelProperty("建设单位统一信用代码")
    private Boolean buildUnitCode;

    @ExcelProperty("项目类型")
    private Boolean projectType;

    @ExcelProperty("是否首次新建")
    private Boolean isFirst;

    @ExcelProperty("关联应用")
    private Boolean includeApplication;

    @ExcelProperty("关联应用IRS编码")
    private Boolean includeApplicationIRSCode;

    @ExcelProperty("申报金额(万元)")
    private Boolean declareAmount;

    @ExcelProperty("批复金额")
    private Boolean approvedTotalInvestmentIncrease;

    @ExcelProperty("预算来源")
    private Boolean budgetSource;

    @ExcelProperty("预算年度")
    private Boolean budgetYear;

    @ExcelProperty("项目简介")
    private Boolean projectIntroduction;

    @ExcelProperty("立项依据")
    private Boolean buildBasis;

    @ExcelProperty("建设层级")
    private Boolean buildLevel;

    @ExcelProperty("发改编码")
    private Boolean developCode;

    @ExcelProperty("财政编码")
    private Boolean financialCode;

    @ExcelProperty("信息是否有效")
    private Boolean informationValidity;

    @ExcelProperty("是否数字化改革项目")
    private Boolean isDigitalReform;

    @ExcelProperty("综合应用领域")
    private Boolean bizDomain;

    @ExcelProperty("是否上云")
    private Boolean isCloud;

    @ExcelProperty("云类型")
    private Boolean cloudType;

    @ExcelProperty("四大体系")
    private Boolean fourSystems;

    @ExcelProperty("是否临时增补")
    private Boolean isTemporaryAugment;

    @ExcelProperty("等保级别")
    private Boolean protectionLevel;

    @ExcelProperty("是否密评 0:否 1:是")
    private Boolean isSecretComments;

    @ExcelProperty("业务编号")
    private Boolean businessNumber;

    @ExcelProperty("业务名称")
    private Boolean businessName;

    @ExcelProperty("单位名称")
    private Boolean unitName;

    @ExcelProperty("软件开发(万元)")
    private Boolean softwareDevelopmentAmount;

    @ExcelProperty("云资源、硬件购置(万元)")
    private Boolean cloudHardwarePurchaseAmount;

    @ExcelProperty("第三方服务(万元)")
    private Boolean thirdPartyAmount;

    @ExcelProperty("投入项")
    private Boolean safetyInputTitle;

    @ExcelProperty("内容描述")
    private Boolean safetyInputDescribe;

    @ExcelProperty("金额(万元)")
    private Boolean safetyInputAmount;

    @ExcelProperty("年度支付金额(万元)")
    private Boolean annualPlanAmount;

    @ExcelProperty("自有资金(万元)")
    private Boolean annualPlanHaveAmount;

    @ExcelProperty("政府投资-本级财政资金(万元)")
    private Boolean declareGovernmentOwnFinanceAmount;

    @ExcelProperty("政府投资-上级补助资金(万元)")
    private Boolean declareGovernmentSuperiorFinanceAmount;

    @ExcelProperty("银行贷款(万元)")
    private Boolean declareBankLendingAmount;

    @ExcelProperty("其它资金(万元)")
    private Boolean declareOtherAmount;

    @ExcelProperty("第一季度")
    private Boolean engineeringSpeedOne;

    @ExcelProperty("第二季度")
    private Boolean engineeringSpeedTwo;

    @ExcelProperty("第三季度")
    private Boolean engineeringSpeedThree;

    @ExcelProperty("第四季度")
    private Boolean engineeringSpeedFour;

    @ExcelProperty("初步方案")
    private Boolean preliminaryPlanFile;

    @ExcelProperty("附件-佐证材料")
    private Boolean supportingMaterialsFile;

    @ExcelProperty("备注")
    private Boolean projectRemarks;
}
